import { defineConfig } from 'astro/config';
import mdx from '@astrojs/mdx';
import node from "@astrojs/node";

// https://astro.build/config
export default defineConfig({
  integrations: [mdx()],
  srcDir: './astro',
  outDir: './app',
  adapter: node({
    mode: 'standalone'
  }),
  build: {
    linkStyle: 'relative',
    format: 'directory',
    client: './client',
    server: './server'
  },
});